package org.beigesoft.model;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */


/**
 * <p>Service booking time method.</p>
 *
 * @author Yury Demidenko
 */
public enum EServTime {

  /**
   * <p>NONE 0, e.g. goods delivering.</p>
   **/
  NONE,

  /**
   * <p>TIME 1.</p>
   **/
  TIME,

  /**
   * <p>HOUR 2.</p>
   **/
  HOUR,

  /**
   * <p>DAY 3.</p>
   **/
  DAY,

  /**
   * <p>MONTH 4.</p>
   **/
  MONTH,

  /**
   * <p>TIME RANGE 5.</p>
   **/
  TIMERANGE,

  /**
   * <p>HOUR RANGE 6.</p>
   **/
  HOURRANGE,

  /**
   * <p>DAY RANGE 7.</p>
   **/
  DAYRANGE,

  /**
   * <p>MONTH RANGE 8.</p>
   **/
  MONTHRANGE;
}
